Put
The Put API endpoint updates an existing content item for the specified content type.
To determine valid field names, refer to a Get request response for the same content type.
Endpoint
PUT /api/v1/{content_type}/{id}
Path Parameters
| Parameter | Description |
|---|---|
content_type |
The route identifier of the requested content type |
id |
The unique identifier of the item to update |
Request Body
The request body should include the fields to be updated.
Field names can be discovered by performing a Get request on the same content type.
Response Structure
A typical response includes
Default Data Fields
| Field | Description |
|---|---|
id |
Unique identifier of an item |
created_at |
Date of creation |
updated_at |
Date of last update |
deleted_at |
Date of deletion (null if not deleted) |
author_id |
ID of the user who created the item |
group_id |
ID of a group that the items belongs to |
Notes
- Only provided fields will be updated (partial updates may apply depending on configuration).
- Fields not included in the request body will remain unchanged.
- Invalid or non-existent fields may be ignored or rejected based on system configuration.
updated_atis automatically updated on every successful request.
More Examples
For more examples, visit: